Welcome to the new monday developer community
Discussions category for everything related to app development on top of monday.com
Recently active
Hey all! I’m just getting started here on Monday, as was wondering, what’s your general process for finding demand for apps and turning them into products? I’m a newbie solo dev. Some ways I’m thinking of already Searching the feature requests forum and filtering by most views / votes. Then filtering down to things that aren’t on the roadmap. This way I’m not fighting an inevitable feature that is coming and will make my app not worth anything. The platform risk here seems like a big issue as far as wasted time developing. Reaching out to individual users. Maybe a good way? Not really sure, but any constructive feedback is welcome 🙂
Hello everyone, i am trying to mimic a function of having the same item in multiple boards (yes, i understand there are apps to do so, but they are out of my team’s budget, so i am trying to solve it myself). Right now i am sending a bunch of webhooks to N8N whenever an action is taken upon an item, subitem or update, when N8N get’s the webhooks it duplicates the updated item and sends it to the target boards. The problem i am facing here is to differ if the changed is caused by the API automation or by a real person. The built in webhooks send a userID, but there is no way to find out if the change was caused by the API, even if i create an APP and use the OAUTH of it, am i missing something? Also, if there is actually no way to find that out by the default webhooks, can i do that by creating custom webhooks via the custom apps?
Hello, I am developing an app to provide a cross-board/space automation. I’d like an item to get moved to a group on board based on an event that took place on board [Y]. I tried achieve this using GraphQL function move_item_to_group(groupId: String!, itemId: ID!) but did not work. I guess because this function does not take in a third argument such as boardId. So, what could be a way/s to achieve desired outcome? Thanks
Hey Developers, Just a heads-up: The “Hosting” page has been deprecated in the Developer Center and is being merged with the “Features” page. No action is required on your end. Cheers, Omer
Hi, We submitted the App in the marketplace . To know about the details of App installation and uninstallation, we are utilizing webhook events, and we have written the following code according to the documentation. However, we are encountering errors in the code such as JsonWebTokenError: invalid signature at C:\\Users\\priya\\Downloads\\monday.com webhook\\node_modules\\jsonwebtoken\\verify.js:171:19 at getSecret (C:\\Users\\priya\\Downloads\\monday.com webhook\\node_modules\\jsonwebtoken\\verify.js:97:14) at module.exports [as verify] (C:\\Users\\priya\\Downloads\\monday.com webhook\\node_modules\\jsonwebtoken\\verify.js:101:10) at C:\\Users\\priya\\Downloads\\monday.com webhook\\server.js:11:26 at Layer.handle [as handle_request] (C:\\Users\\priya\\Downloads\\monday.com webhook\\node_modules\\express\\lib\\router\\layer.js:95:5) at next (C:\\Users\\priya\\Downloads\\monday.com webhook\\node_modules\\express\\lib\\router\\route.js:144:13) at Route.dispatch (C:\\Users\\priya\\Downloa
When an app is hosted via Monday Code, what is the correct base URL to enter in the Webhooks input in the Developer Center? Is it the Monday Code “Version URL” under Monday Code > General? (And then presumably I would just append the route in my app that handles webhooks)
I would like to use a built-in trigger (ex. item created) to fetch data from my app (based on the item name passed) and use the returned data (entity) to fill in some of the columns of the created item. The user should be able to use dynamic mapping to select which of the returned values of that entity should go into what column for that item on monday. Is this possible?
I’m using Api version 2024-10 (Stable version at the time of writing this) I can see in the Api documentation that the Column Type for the “Connect boards” column is “board_relation”. When I execute this query: mutation { create_column(board_id: 12345678, id: "projects", title: "Projects", column_type: board_relation) { id } } I get the error below: [ { "message":"This column type is not supported yet in the API", "locations":[{"line":1,"column":100}], "path":["create_column"], "extensions":{ "code":"InvalidColumnTypeException", "status_code":200, "error_data":{ "column_id":null, "actual_type":"board-relation" } } } ] It seems that the error tells me that the ‘board_relation’ type changes to ‘board-relation’. Then I execute the same query but with that new type and I get this error: [ { "message":"invalid type for variable: 'type'", "extensions":{ "name":"type", "code":"VALIDATION_I
I would like to know if it is possible to make a call to the board API filtering by partial title. For example, I would like to search for all boards with the word “task” in the title. I didn’t see anything mentioned in the documentation, and I searched a bit in the forum but didn’t find anything.
It does not appear as though the unsubscribe URL is being called when an Integration that is calling a custom trigger is turned OFF. Is there another way to determine that the integration should no longer run?
Hello, Is the VIbe ui library open source, can it be legally used in non-monday projects? I love Vibe, I like it better than ShadCN
Hi community, I’am trying app development with monday code. I use the full stack exemple as a base. I have been able to publish to monday code. I am having difficulties with storage. I tried to use monday.storage but I saw in the community that it was for from end only. Then, I saw a link to @mondaycom/apps-sdk. I installed it, added some code to get/set item. I have been able to run it locally ( npm run dev-server) When I try to deploy to monday code, I’ve got the following error : ✔️ Build asset to deploy ✔️ Preparing environment ✔️ Asset uploaded successfully ✖️ There was an error deploying the application. ========== Logs ========== node:internal/modules/cjs/loader:1228 throw err; ^ Error: Cannot find module ‘@mondaycom/apps-sdk’ code: ‘MODULE_NOT_FOUND’, requireStack: [ ‘/workspace/dist/services/.js’, '/workspace/dist/routes/.js’, ‘/workspace/dist/routes/.js’, '/workspace/dist/.js’ ] When I remove @mondaycom/apps-sdk from my
I developed a simple workspace app and now that I have installed it to another account. When I clicked on USE APP I got the following message: App is not configured, please contact app developer. What should I do?
So for an event from timeline and activities, the url is in the following format: https://.monday.com/boards/8140312713/pulses/8140355862/item_views/174255419?timelineItemId=c9bca32d-b635-43c0-a0d8-670fed4a7b46 I’m trying to get 174255419, after item_views/ which appears to be the item_view ID for Timeline and Activities. Is this possible through the API?
Hey Monday dev community, After updating the API version I’m struggling with what seems like a formatting error. I can’t seem to understand what is wrong with the format though. Here is the error I’m getting: { "errors": [ { "message": "Invalid GraphQL request", "extensions": { "details": "failed to deserialize the request body into JSON: invalid type: string \\"{\\\\\\"columnValue\\\\\\":\\\\\\"29.9772962 31.1324955 4420 148th Ave NE bldg 127, Redmond, WA 98052\\\\\\",\\\\\\"columnId\\\\\\":\\\\\\"location_1\\\\\\",\\\\\\"itemName\\\\\\":7279384567,\\\\\\"myBoardId\\\\\\":4499094121}\\", expected a map or null at line 1 column 425", "code": "INVALID_GRAPHQL_REQUEST" } } ], "account_id": 11622012 } Here’s the step in the code that’s failing: import { axios } from "@pipedream/platform" export default defineComponent({ props: { monday: { type: "app", app: "monday", } }, async run({steps, $}) { const bookingID
Listing Board updates for multiple boards via GraphQL was working for me up until 10-01-2025. Here is the code I used that always worked until it didn’t query { boards(ids: [7511353721, 7511353762, 7511353913]) { updates(limit: 10000) { id body created_at creator { id name } } } } Now I get this error: [200] [{“message”:“Internal server error”,“path”:[“boards”,0,“updates”] Any help, will be much appreciated.
Hi, I am developing a Marketplace Dashboard Widget app, which is done and ready for release, except for a monday.com bug that has yet to be resolved. I am looking for any work arounds that anyone here might have… The situation is this: I have added 2 “Columns” fields, but neither of them show their Column dropdown when in the Developer Center preview mode, or when the initial Dashboard Widget setup pops up on initial app installation. Instead, this is what the setup menu looks like in those cases: As you can see inside the red box, instead of a dropdown allowing you to select a value column for the widget, you see “No relevant columns on this board, please Add Column”. However, if you click through the installation process, and dismiss that first popup (which has confounded my testers!), you can then go and use the widget without a problem, and the menu dropdowns appears as they should: I have contacted monday.com support, and they have been telling me for almost two months that this
I have the following query let query = `query { timeline(id: ${itemId}) { timeline_items_page { cursor timeline_items { created_at type title content custom_activity_id user { id name } id item { name } } } } }`; Seems like for essential activities like Email and Note, they are being returned as the correct type. However, seems like call summary is simply marked as activity. Is this intended or is it a known bug? Thanks in advance.
Hello! I was trying to upload a file to a board’s column, using the related API, but it doesn’t matter how I tried, I’ve never succeed. Goal I’m creating an automation via n8n, the goal would be to upload a file from there, using it’s HTTP node. I managed to get 3 different responses: HTTP 500 - Internal Server Error → including a HTML file that points to status.monday.com, saying there are some technical issues. HTTP 403 - Forbidden HTTP 200 - Success - with the following message: 0 message:Variable $file of type File! was provided invalid value locations 0 line:1 column:10 extensions value:[null] problems 0 path:[empty array] explanation:Expected value to not be null In the meantime, the postman collection with the Monday API queries just disappeared. I’ve also tried to run a cURL query: curl --location 'https://api.monday.com/v2/file' \\ --header 'Authorization: [my token]' \\ --header 'API-version: 2023-10' \\ --form 'query="mutation add_file($file: File!) {add_file_to_column (it
I went to the developer portal which has design resources for us all to use. It has a get started section in figma where you can add it as a library, but the problem is, you can’t access the file to do this. You need edit access. Can anyone point me in the right direction?
Hi great community, My integration app needs to have input of an item AND its subitems. The fields from the item and subitems would potentially mapped by the dynamic mapping feature to a payload that my action endpoint could consume. Is this something that custom action + dynamic mapping support?
It seems as though the API is now returning items/subitems in order of ID ascending, rather than by their board position (Main Table). This is true even when using old API versions. Is this intentional? It has broken several use cases for me, as I use the board order to express information. If it is intentional, has it been announced anywhere? Can we change this via an argument? Please help! Board (Main Table): Query: boards(ids: 6774044620){ items_page (limit: 50){ items { id name subitems{ id name } } } } } Response:
Hello! Maybe someone has faced the issue of two events flying on the same route at the same time, for example, let’s take app_trial_subscription_started. And in general, is it possible to create a mock request to test these webhooks?
Hi, I’m building my first dashboard widget using the apps framework, and I can’t seem to wrap my head around the development process. So far, I’ve installed and run the React template using Vite, and I can see my changes reflected on the features tab. My question is: do I build this widget like a React application? For example, should I fetch data using API calls, render it, attach event handlers, and respond to events? My current task requires a widget similar to the “Time Tracking” one below. I need to be able to click on users, and additional details should appear in an accordion-style view. I haven’t found any comprehensive guide specifically for building a widget. If anyone could point me in the right direction, it would be greatly appreciated. Cheers!
Hello Everyone, I’m Emmanuel Katto, trying to perform a search query that allows me to find items where the name contains a specific string (e.g., “name contains abc”) rather than an exact match (“name equals abc”). I’ve been using the following query: query { items_by_column_values (board_id: 162164, column_id: “name”, column_value: “abc”) { id name column_values { id title value } } } However, this only works for exact matches. Is there a way to modify this query to use a contains/like operator for partial string matching? Any suggestions or insights would be greatly appreciated! Thanks in advance! Regards Emmanuel Katto
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.